import { BasePlugin } from '@opentelemetry/core';
import * as kafkaNode from 'kafka-node';
import { KafkaNodePluginConfig } from './types';
export declare class KafkaNodePlugin extends BasePlugin<typeof kafkaNode> {
    readonly moduleName: string;
    protected _config: KafkaNodePluginConfig;
    constructor(moduleName: string);
    protected patch(): typeof kafkaNode;
    protected unpatch(): void;
    private _getConsumerEmit;
    private _getProducerSendPatch;
    private _startProducerSpan;
    private _safeExecute;
}
export declare const plugin: KafkaNodePlugin;
//# sourceMappingURL=kafka-node.d.ts.map