"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AttributeNames = void 0;
var AttributeNames;
(function (AttributeNames) {
    // https://github.com/open-telemetry/opentelemetry-specification/blob/master/specification/trace/semantic_conventions/messaging.md
    AttributeNames["MESSAGING_SYSTEM"] = "messaging.system";
    AttributeNames["MESSAGING_DESTINATION"] = "messaging.destination";
    AttributeNames["MESSAGING_DESTINATIONKIND"] = "messaging.destination_kind";
    AttributeNames["NET_PEER_NAME"] = "net.peer.name";
    // custom attributes, specific to kafka
    AttributeNames["MESSAGING_OFFSET"] = "messaging.offset";
    AttributeNames["MESSAGING_PARTITION"] = "messaging.partition";
})(AttributeNames = exports.AttributeNames || (exports.AttributeNames = {}));
//# sourceMappingURL=enums.js.map