"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseResponseStatus = void 0;
const api_1 = require("@opentelemetry/api");
exports.parseResponseStatus = (error, data) => {
    if (!error) {
        return {
            code: api_1.CanonicalCode.OK,
            message: 'OK'
        };
    }
    // currently returning 'Unknown Error' for all cases.
    // can be improved by examining the `error` and setting `code` accordingly
    return {
        code: api_1.CanonicalCode.UNKNOWN,
        message: error.message
    };
};
//# sourceMappingURL=utils.js.map