export enum AttributeNames {
    // https://github.com/open-telemetry/opentelemetry-specification/blob/master/specification/trace/semantic_conventions/messaging.md
    MESSAGING_SYSTEM = 'messaging.system',
    MESSAGING_DESTINATION = 'messaging.destination',
    MESSAGING_DESTINATIONKIND = 'messaging.destination_kind',
    NET_PEER_NAME = 'net.peer.name', // since we may have multiple peers, we send array here joined with comma(',')

    // custom attributes, specific to kafka
    MESSAGING_OFFSET = 'messaging.offset',
    MESSAGING_PARTITION = 'messaging.partition',
}